Subject: Re: [PATCH] send-pack.c: mark a file-local function static

From: Ramsay Jones <[email-masked]>
Date: Fri, 13 Dec 2013 22:50:25 +0000

On 13/12/13 00:58, Duy Nguyen wrote:
> On Fri, Dec 13, 2013 at 6:15 AM, Ramsay Jones
> <[email-masked]> wrote:
>> BTW, I have not been following these patches, but I noticed that the
>> 'remove_nonexistent_ours_in_pack()' function has no callers. (There are
>> two commented out callers - but they seem to have *always* been commented
>> out ;-) ). So, step 5 is no longer required? :-D
> 
> It's more of an optimization than a requirement, to avoid expensive
> calculation later. Uncommenting is possible but I need to pass the
> pack file name around a bit.
> 

Ah, OK.

(I should probably refrain from commenting on code I haven't read ... :-P )

ATB,
Ramsay Jones